
.app__videos{
    position: relative;
    height: 750px;
    background-color: white;
    overflow: scroll;
    border-radius: 20px;

    aspect-ratio: 9/16;
    background: transparent;
    border-radius: 20px 20px 0 0;

    --sm-container-width: calc(750px * 9/16);
}

.app__videos::-webkit-scrollbar {
    display: none;
}

.app__videos{
    -ms-overflow-style: none;  /* IE and Edge */
    scrollbar-width: none;
    scroll-snap-type: y mandatory;

    scroll-snap-align: start;
    scroll-snap-stop: always;
}

.video{
    position: relative;
    height: 95%;
    background-color: white;
    scroll-snap-align: start;

    border-radius: 20px;
    overflow: hidden;
    margin-bottom: 20px;

    scroll-snap-align: start;
    scroll-snap-stop: always;
}

.video__player{
    object-fit: cover;
    height: 100%;
    width: 100%;
}

.videoSidebar{
    position: absolute;
    top: 48%;
    right: 10px;
}

.videoSidebar .material-icons{
    font-size: 28px;
    cursor: pointer;
}

.videoSidebar__button{
    padding: 20px;
    text-align: center;
}

.videoFooter{
    position: relative;
    bottom: 150px;
    margin-left: 20px;
    color: white;
    display: flex;
}

@media (max-width: 425px){
    .app__videos{
        width: 100%;
        height: 85vh;
        max-width: 100%;
        border-radius: 0;
    }
}

.centerPlayPause{
    position: absolute;
    top: 50%;
    left: 50%;
    width: 100%;
    height: 450px;
    transform: translate(-50%, -58%);
    z-index: 99;
    display: flex;
    justify-content: center;
    align-items: center;
}

.centerPlayPause ul{
    padding: 0;
}

.centerPlayPause li{
    position: relative;
    width: 60px;
    height: 60px;
    display: flex;
    justify-content: center;
    align-items: center;
    background: #282129;
    border-radius: 50%;
    border: 1px solid rgba(119,119,119, .9);
    opacity: 0;
    visibility: hidden;;
}

.centerPlayPause li i{
    color: white;
    font-size: 2em;
}

.centerPlayPause li.first{
    position: absolute;
}

.centerPlayPause li.first.active{
    animation: animRipples .5s ease;
}

.centerPlayPause li.second.active{
    animation: animRipples .5s ease;
}

@keyframes animRipples{
    0%{
        opacity: 0;
        visibility: hidden;
        transform: scale(0);
    }
    100%{
        opacity: 1;
        visibility: visible;
        transform: scale(1);
    }
}

.controls{
    position: absolute;
    top:0;
    width: 100%;
    height: 80px;
    padding: 20px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    background: linear-gradient(#28212947, transparent);
    border-radius: 20px;
    /* opacity: 0;
    visibility: hidden; */
}

.video:hover .controls{
    opacity: 1;
    visibility: visible;
}

.controls .videoIcon {
    position: relative;
    width: 35px;
    height: 35px;
    display: flex;
    justify-content: center;
    align-content: center;
    cursor: pointer;
}

.controls .videoIcon i:first-child{
    position: absolute;
    opacity: 0;
    visibility: hidden;
}

.controls .videoIcon.play.active i:last-child,
.controls .videoIcon.mute.active i:last-child{
    opacity: 0;
    visibility: hidden;
}

.controls .videoIcon.play.active i:first-child,
.controls .videoIcon.mute.active i:first-child{
    opacity: 1;
    visibility: visible;
}

.bottom{
    position: absolute;
    bottom: 10px;
    width: 100%;
}

    .bottom .details {
        display: flex;
        justify-content: space-between;
        align-items: center;
        margin: 10px 5px 5px 5px;
        filter: drop-shadow(0 0 3px rgba(11, 11, 11, 0.8));
    }

    .bottom .details .creator-profile {
       /* display: flex;*/
        align-items: center;
    }
        .bottom .details .creator-profile .creator-avatar {
            position: relative;
            width: 40px;
            height: 40px;
            overflow: hidden;
            border-radius: 100%;
        }

        .bottom .details .creator-profile .creator-avatar img {
            position: absolute;
            width: 100%;
            height: 100%;
            object-fit: cover;
        }
.bottom .details .creator-profile .details-button {
    position: relative;
    width: 100%;
    width: 100%;
    display: flex;
    justify-content: flex-end;
    align-items: center;
}
        .bottom .details .creator-name {
            margin-left: 5px;
        }
        .bottom .details .details-button button {
            position: relative;
            width: 110px;
            height: 35px;
            border-radius: 50px;
            outline: none;
            border: none;
            font-size: 0.9em;
            font-weight: 500;
            background-color: var(--sm-accent);
        }

        .bottom .details .details-button a[role="button"] {
            display: flex;
            align-items: center;
            justify-content: center;
            position: relative;
            width: 140px;
            height: 35px;
            padding: 10px 20px;
            background-color: var(--sm-accent);
            color: black;
            font-size: 0.9em;
            font-weight: 500;
            text-align: center;
            border: none;
            border-radius: 50px;
            text-decoration: none;
            transition: background-color 0.3s;
            cursor: pointer;
        }

        .bottom .details .episode-info .episode-number {
            font-size: 0.9em;
            text-transform: uppercase;
            font-weight: 600;
        }

        .bottom .details .episode-info p{
            margin-bottom: 0;
        }
        .progress-range {
            height: 4px;
            margin: 5px;
            width: calc(100% - 10px);
            background-color: rgba(255,255,255,0.3);
            cursor: pointer;
            transition: all 0.4s ease;
            border-radius: 100px;
            box-shadow: 0 0 3px rgba(11, 11, 11, 0.8);
        }

    .progress-range:hover {
        height: 6px;
    }

.progress-bar {
    border-radius: 100px;
    height: 100%;
    width: 1%;
    transition: width .3s ease;
    background: yellow;
    background-size: 400% 499%;
    background-image: linear-gradient(-45deg, yellow, #76F4FF, yellow, yellow);
    animation: progressBarGradient 15s ease infinite;
    /* background: radial-gradient(circle, rgba(172,87,0,1) 0%, rgba(255,255,0,1) 70%); */
}

@keyframes progressBarGradient {
    0% {
        background-position: 0% 50%;
    }

    50% {
        background-position: 100% 50%;
    }

    100% {
        background-position: 0% 50%;
    }
}


.progress-duration {
    margin-left: 5px;
    font-size: 0.9em;
    opacity: 1;
    font-family: system-ui,-apple-system,"Segoe UI",Roboto,"Helvetica Neue",Arial,"Noto Sans","Liberation Sans",sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol","Noto Color Emoji";
    transition: all .3s ease;
    text-shadow: 0 0 3px rgba(11, 11, 11, 0.8);
}

.video .iconBx{
    position: absolute;
    width: 70px;
    height: 100px;
    display: flex;
    justify-content: flex-end;
    align-items: flex-start;
    flex-direction: column;
    padding: 20px;
}

.video .iconBx ul {
    position: relative;
    width: 100%;
    height: calc(100% - 130px);
    display: flex;
    justify-content: flex-end;
    flex-direction: column;
}

.video .iconBx ul li {
    position: relative;
    list-style: none;
}

.video .iconBx ul li a {
    position: relative;
    width: 100%;
    height: 90px;
    display: flex;
    justify-content: flex-start;
    align-items: center;
    flex-direction: column;
    text-decoration: none;
}


.overlay{
    width: calc(var(--sm-container-width) + 75px);
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    pointer-events: none;
    display: flex;
    justify-content: end;
}
.actions {
    display: flex;
    flex-direction: flex-end;
}
.action-button-renderer{
    padding-top: 5px;
}

.action-button{
    display: flex;
    flex: 1;
    flex-basis: 1e-9px;
}

@keyframes gradient {
	0% {
		background-position: 0% 50%;
	}
	50% {
		background-position: 100% 50%;
	}
	100% {
		background-position: 0% 50%;
	}
}